require 'json'
require 'securerandom'
require_relative 'application_helper'
require_relative 'file_helper'

module Nooma
  module PageHelper
    include Nooma::ApplicationHelper
    include Nooma::FileHelper

    def create_page(title)
      mkdir_cd snakecase(title)
      create_markdown(title)
      create_config(title)
    end

    def create_markdown(title)
      File.open("#{snakecase(title)}.md", "w") do |f|
        md = "# #{title}"
        f.write(md)
      end
    end

    def create_config(title)
      File.open("config.json", "w") do |f|
        hash = {
          title: title,
          id: SecureRandom.uuid
        }

        f.write JSON.pretty_generate(hash)
      end
    end
  end
end
